View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000743Ecere SDKbuildsystempublic2012-04-14 00:312013-08-07 03:33
Reporterredj 
Assigned Toredj 
PriorityimmediateSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44 Ryoan-ji 
Target Version0.44.08Fixed in Version0.44.08 
Summary0000743: support optionally forcing 32 and 64 bit in project settings
Descriptionfor 32 vs 64 bit
want an option in a project to 'force' 32 bit or 'force' 64 bit
forced in the project or config or platform
just use 2 exclusive checkboxes whether to do -m32 or -m64
by default, no -m32/-m64
if there 'is' a .ec file in there (and it's not excluded) we need to automatically force -m32

the debug.linux obj dir will be 64 bit if you're on a 64 bit system and 32 bit if you're on a 32 bit system

on Windows we don't do 64 bit mingw builds yet...

the makefile should not default to -m32
Additional Informationcompiler configurations can be used to select the 32 vs 64 bit dependencies

might rename Platform::win32 to Platform::windows
see about this when we try MinGW64


a compiler specifies a target platform
we support obj/$(CONFIG).$(PLATFORM).$(COMPILER).$(MODULE) to send those builds where we want.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000597)
jerome (administrator)
2012-04-23 20:41
edited on: 2012-06-01 14:42

http://github.com/ecere/sdk/commit/b96b44e0cd691952bf4a729781d16aa1e2f5effd: [^]

Added a buildBitDepth member to ProjectOptions:

public enum BuildBitDepth { all, bits32, bits64 };

Configs with enabled .ec files will default to -m32 is BuildBitDepth if left unset ('all').

ProjectSettings GUI remains to be done.

(0000635)
redj (administrator)
2012-10-22 00:26
edited on: 2012-10-24 10:44

implemented gui with 2 check boxes as per the notes in this issue.
https://github.com/ecere/sdk/commit/e487fd0ffcaa82b096fb0a61d417bf46e3fff85d [^]


- Issue History
Date Modified Username Field Change
2012-04-14 00:31 redj New Issue
2012-04-14 00:31 redj Status new => assigned
2012-04-14 00:31 redj Assigned To => redj
2012-04-14 00:52 redj Summary support choosing between 32 and 64 bit, add 32 vs 64 bit platforms => support optionally forcing 32 and 64 bit in project settings
2012-04-14 00:52 redj Description Updated
2012-04-14 00:52 redj Additional Information Updated
2012-04-14 00:53 redj Description Updated
2012-04-14 00:56 redj Additional Information Updated
2012-04-23 20:41 jerome Note Added: 0000597
2012-06-01 14:42 jerome Note Edited: 0000597
2012-10-22 00:26 redj Status assigned => resolved
2012-10-22 00:26 redj Fixed in Version => 0.44.1 Android
2012-10-22 00:26 redj Resolution open => fixed
2012-10-22 00:26 redj Note Added: 0000635
2012-10-24 10:44 redj Note Edited: 0000635
2013-05-22 20:31 jerome Status resolved => closed
2013-08-07 03:33 jerome Fixed in Version 0.44.10 64 => 0.44.08
2013-08-07 03:33 jerome Target Version 0.44.10 64 => 0.44.08



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker